Test connectivity for a connector configuration
POST
/v1/console/connectors/test
const url = 'https://example.com/v1/console/connectors/test';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"config":{"additionalProperty":"example"},"enabled":true,"kind":"example","name":"example","poll_seconds":1,"secrets":{"additionalProperty":"example"},"tenant":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/console/connectors/test \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "config": { "additionalProperty": "example" }, "enabled": true, "kind": "example", "name": "example", "poll_seconds": 1, "secrets": { "additionalProperty": "example" }, "tenant": "example" }'Tests connectivity for a candidate connector configuration without persisting it.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
config
object
key
additional properties
string
enabled
boolean
kind
required
string
name
required
string
poll_seconds
integer
secrets
object
key
additional properties
string
tenant
required
string
Example generated
{ "config": { "additionalProperty": "example" }, "enabled": true, "kind": "example", "name": "example", "poll_seconds": 1, "secrets": { "additionalProperty": "example" }, "tenant": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
message
string
success
boolean
Example generated
{ "message": "example", "success": true}Bad request
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Unauthenticated
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Forbidden
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Not found
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Conflict / setup required
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Rate limited
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}